package de.groovy.testcdi.appl.bean;

import java.util.Date;

import javax.ejb.Schedule;
import javax.ejb.Stateless;
import javax.inject.Inject;

import de.groovie.test.cdi00.common.data.CalcParmIn;
import de.groovie.test.cdi00.common.data.CalcParmOut;
import de.groovie.test.cdi00.interfaces.svc.CalculationEngineIf;

/**
 * Session Bean implementation class ServiceAccessPointBean
 */
@Stateless
public class ServiceAccessPointBean {

	@Inject 
	private CalculationEngineIf	calcEngine ;
	
    /**
     * Default constructor. 
     */
    public ServiceAccessPointBean() {
        
    }

   
    /**
     * timely trigger to test out app
     * 
     * @param div
     * @return
     */
    @Schedule(second="0", minute="*/2", hour="*", persistent=false)
    public int timelyTest() {
    
    	final Date 	randomInts = new Date() ;
    	final long  myLong	   = randomInts.getTime() & 100L ;
    	final int   myPropAge  = (int) myLong ;
    	
    	/*
    	 * 1) let the service create a new custimer 
    	 */
    	final Long newPKey = calcEngine.regNewAge(myPropAge) ;
    	
    	/*
    	 * 2) do some calculatio  
    	 */
    	final CalcParmIn  inParamter = new CalcParmIn() ;
    	inParamter.setCustId(newPKey) ; 
    	inParamter.setNumber2(88) ;
    	
    	final CalcParmOut result = calcEngine.computeSomewhat(inParamter) ;
    	
    	return Math.round(result.getResultNum()) ; 
    }
}
