/**
 * 
 */
package de.groovy.testcdi.persistence;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * @author cgroove
 *
 */

@Entity
@Table(name = "AGE_ITM")
public class AgeEntry implements Serializable {
	private static final long serialVersionUID = -984886913529664754L;

	@Id
	@SequenceGenerator(name = "DP_MYAGE__GEN", sequenceName = "SQ__DP_MYAGE", allocationSize = 1)
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "DP_MYAGE__GEN")
	@Column(name = "ID")
	private Long  id;

	@Column(name = "REAL_AGE")
	private Integer age ;

	
	/*
	 * getter setter ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
	 */

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	
	/**
	 * @return the age
	 */
	public Integer getAge() {
		return age;
	}

	/**
	 * @param age the age to set
	 */
	public void setAge(Integer age) {
		this.age = age;
	}

	/*
	 * misc ~~~~~~~~~~~~~~~~~~~~~~~~~~~ 
	 */
	
	@Override
	public String toString() {
		final StringBuffer 	strRes = new StringBuffer() ;
		
		strRes.append("Id=") ;
		strRes.append(this.getId()) ;
		strRes.append(" age=") ;
		strRes.append(this.getAge()) ;
		
		return strRes.toString();
	}
}
