/**
 * 
 */
package de.groovy.testcdi.persistence.dao;

import javax.enterprise.context.RequestScoped;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import de.groovie.test.cdi00.interfaces.be.DataSvcIf;
import de.groovy.testcdi.persistence.AgeEntry;

/**
 * @author cgroove
 *
 */
@RequestScoped
public class JpaDataSvc implements DataSvcIf {

	/* (non-Javadoc)
	 * @see de.groovie.test.cdi00.interfaces.be.DataSvcIf#getRealAgeById(java.lang.Long)
	 */
	
	@PersistenceContext(unitName = "billing_DS")
	private EntityManager sfEm;

	
	
	@Override
	public Integer getRealAgeById(Long pId) {
		
		final AgeEntry resultDs  = sfEm.find(AgeEntry.class, pId);
		return resultDs.getAge() ;
	}



	@Override
	public Long createNewAgeEntry(int myAge) {
		final AgeEntry newEntry = new AgeEntry() ;
		
		newEntry.setAge(myAge) ;
		sfEm.persist(newEntry) ;
		
		return newEntry.getId() ;
	}

}
