/**
 * 
 */
package de.groovie.test.cdi00.implementation;


import javax.inject.Inject;
import javax.enterprise.context.RequestScoped;

import de.groovie.test.cdi00.common.data.CalcParmIn;
import de.groovie.test.cdi00.common.data.CalcParmOut;
import de.groovie.test.cdi00.interfaces.be.DataSvcIf;
import de.groovie.test.cdi00.interfaces.svc.CalculationEngineIf;

/**
 * @author cgroove
 *
 */
@RequestScoped
public class CalculationEngineExmp01Impl implements CalculationEngineIf {

	@Inject
	private DataSvcIf	dataSvc ;
	
	/* (non-Javadoc)
	 * @see de.groovie.test.cdi00.interfaces.svc.CalculationEngineIf#computeSomewhat(de.groovie.test.cdi00.common.data.CalcParmOut)
	 */
	@Override
	public CalcParmOut computeSomewhat(CalcParmIn parmIn) {
		
		final int aa = 4711 ;
		
		
		if (null != parmIn) {
			
			/* 1 retrieve real age from pkey */
			final Integer		theAge = dataSvc.getRealAgeById(parmIn.getCustId()) ;
			
			final CalcParmOut result = new CalcParmOut() ;
			final float       flRes  = theAge / parmIn.getNumber2() ; 
			result.setResultNum(flRes) ;
			
			return result ;
		}

		return null;
	}

	
	/* (non-Javadoc)
	 * @see de.groovie.test.cdi00.interfaces.svc.CalculationEngineIf#regNewAge(int)
	 */
	@Override
	public Long regNewAge(int age) {
		final Long newd = dataSvc.createNewAgeEntry(age) ;
		return newd;
	}

}
